Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002908Piwigoalbumspublic2013.05.25 06:022013.06.22 09:54
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.1 
Target Version2.6.0beta1Fixed in Version2.6.0beta1 
Summary0002908: make number of direct sub-albums available for each user
DescriptionX photos in Y sub-albums is highly overcomplicated. Make available the number of direct sub-albums ...
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007000)
plg (manager)
2013.05.25 09:57

Let's take an example:

- album A (today: 4 sub-albums, tomorrow: 2 sub-albums)
-- album A1 (today: 2 sub-albums, tomorrow: 2 sub-albums)
--- album A1a (no sub-album)
--- album A1b (no sub-album)
-- album A2 (no sub-album)
- album B (no sub-album)

Am I right?
(0007001)
rvelices (developer)
2013.05.25 10:35

you are right. we ll keep the 2 counters in case someone wants one or the other
(0007002)
plg (manager)
2013.05.25 10:45

do you plan to:

1) store in user_cache_categories number of direct sub-albums and indirect sub-albums ?
2) display number of direct sub-albums and indirect sub-albums ?
3) add a configuration parameter in config file to display either direct or indirect number of sub-albums?
(0007004)
rvelices (developer)
2013.05.25 10:54

for the moment just 1.

(I rewrote the album thumbs presentation for my site and i count displaying number of direct children and the recursive count on hover ...)
(0007005)
plg (manager)
2013.05.26 10:34

> displaying number of direct children and the recursive count on hover

Excellent idea
(0007009)
rvelices (developer)
2013.05.26 21:59

[Subversion] r22879

- Issue History
Date Modified Username Field Change
2013.05.25 06:02 rvelices New Issue
2013.05.25 06:02 rvelices Status new => assigned
2013.05.25 06:02 rvelices Assigned To => rvelices
2013.05.25 06:02 rvelices browser => any
2013.05.25 06:02 rvelices Web server => Apache 1.3.x
2013.05.25 09:57 plg Note Added: 0007000
2013.05.25 10:35 rvelices Note Added: 0007001
2013.05.25 10:45 plg Note Added: 0007002
2013.05.25 10:54 rvelices Note Added: 0007004
2013.05.26 10:34 plg Note Added: 0007005
2013.05.26 21:59 rvelices Note Added: 0007009
2013.06.22 09:54 plg Status assigned => closed
2013.06.22 09:54 plg Resolution open => fixed
2013.06.22 09:54 plg Fixed in Version => 2.6.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker